Sponsored Links

Sponsored Links

Video: PS3 E3 Flasher 3.72 and 3.55 Firmware Dual Boot Demo


Sponsored Links
153w ago - Following news of Sony's new PS3 Firmware 3.72, today the E3 Team have made available a demo video of the PS3 E3 Flasher with PS3 Firmware 3.72 and 3.55 Firmware running in dual-boot mode on a PlayStation 3 console.

To quote: BIG NEWS FROM E3 TEAM

E3 FLASHER , downgrade 3.72 to 3.55 successfully! Dual-boot v3.72 and v3.55 successfully! With E3 FLASHER, all is so easy, just switch and works!

And another BIG news is E3 will provide NOR FLASH CLIP free in our 3K limited version! So all Slim models now supported and versions of FAT consoles with NOR and no need to solder anything for downgrading, or dual-boot!

NAND FLASH CLIP also fininshed, will be available in the new up-coming E3 FLASHER NAND version.

E3 Flasher shipping date will be with little delay because of adding extra NOR clip. We will inform shipping date in next few days, sorry to bring inconvenience for our E3 pre-orders.

















Stay tuned for more PS3 Hacks and PS3 CFW news, follow us on Twitter and be sure to drop by the PS3 Hacks and PS3 Custom Firmware Forums for the latest PlayStation 3 scene updates and homebrew releases!

Comments 696 Comments - Go to Forum Thread »

• Please Register at PS3News.com or Login to make comments on Site News articles. Thanks!

NTA's Avatar
#86 - NTA - 153w ago
3.72 got OWNED. Gotta get this lol

I hope it comes with an instruction manual

candan's Avatar
#85 - candan - 153w ago
Yes, it's available to preorder, but the original ship date wasn't until the 23rd of this month. Now they're saying there's more delays as they are including the NOR clip instead of having to solder the soft board to the mainboard.

oVERSoLDiER's Avatar
#84 - oVERSoLDiER - 153w ago
i hope this gets released soon.. i want one before it does get patched.. LOL
The E3 Flasher is already available at some Internet stores, if you're talking about that.

Siggy12's Avatar
#83 - Siggy12 - 153w ago
Yes !!!! You are probably right as we can see that from 3.60 to 3.x anyway is possible a downgrade but... they didn't care about your downgrade cause can stay very quite about the fact that anyway you need official 3.60 or above to play the new games. so in POOR WORDS... $ony don't care about the downgrade but CARE to a 3.60 or above hack

HeyManHRU's Avatar
#82 - HeyManHRU - 153w ago
I doubt sony can patch the E3 flasher.

Sponsored Links

Sponsored Links
Sponsored Links

Sponsored Links







Affiliates - Contact Us - PS3 Downloads - Privacy Statement - Site Rules - Top - © 2014 PlayStation 3 News